Package twisted :: Package conch :: Package ssh :: Module forwarding

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ssh.forwarding

This module contains the implementation of the TCP forwarding, which allows clients and servers to forward arbitrary TCP data across the connection.

This module is unstable.

Maintainer: Paul Swartz<mailto:z3p@twistedmatrix.com>

Classes
`SSHConnectForwardingChannel` |
`SSHForwardingClient` |
`SSHListenClientForwardingChannel` |
`SSHListenForwardingChannel` |
`SSHListenForwardingFactory` |
`SSHListenServerForwardingChannel` |

Function Summary
| `packGlobal_tcpip_forward((host,`
| ``packOpen_direct_tcpip`((connHost, connPort), (origHost, o)` Pack the data suitable for sending in a CHANNEL_OPEN packet.
| ``packOpen_forwarded_tcpip`((connHost, connPort), (origHost, o)` Pack the data suitable for sending in a CHANNEL_OPEN packet.
| `unpackGlobal_tcpip_forward(data)`
| ``unpackOpen_direct_tcpip`(data)` Unpack the data to a usable format.
| ``unpackOpen_forwarded_tcpip`(data)` Unpack the data to a usable format.

Variable Summary
`SelectReactor` | `reactor`

Function Details

### packOpen_direct_tcpip((connHost, connPort), (origHost, o)

Pack the data suitable for sending in a CHANNEL_OPEN packet.

### packOpen_forwarded_tcpip((connHost, connPort), (origHost, o)

Pack the data suitable for sending in a CHANNEL_OPEN packet.

### unpackOpen_direct_tcpip(data)

Unpack the data to a usable format.

### unpackOpen_forwarded_tcpip(data)

Unpack the data to a usable format.

Variable Details

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

Generated by Epydoc 1.1 on Sat Feb 15 21:18:55 2003 | http://epydoc.sf.net